## python3.7 3.7.1~rc2

=== debian/changelog ===
python3.7 (3.7.1~rc2-1) unstable; urgency=medium

  * Python 3.7.1 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Oct 2018 11:24:12 +0200

python3.7 (3.7.1~rc1-1) unstable; urgency=medium

  * Python 3.7.1 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Sep 2018 11:41:42 +0200

python3.7 (3.7.0-7) unstable; urgency=medium

  * Update to 20180925 from the 3.7 branch.
  * Don't run OpenSSL related tests during the build. Hanging on
    some buildds.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Sep 2018 16:01:24 +0200

python3.7 (3.7.0-6) unstable; urgency=medium

  * Update to 20180901 from the 3.7 branch.
    - Fixes the build with OpenSSL 1.1.1. Closes: #907031.
  * Don't run the test_ftplib and test_ssl autopkg tests, not yet ready
    for OpenSSL 1.1.1.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Sep 2018 01:21:37 +0200

python3.7 (3.7.0-5) unstable; urgency=medium

  * Update to 20180820 from the 3.7 branch.
  * Avoid usage of distutils in the platform module. See issue #26544.
  * Fix some issues on architectures from the computer museum (Jason Duerstock).
    Closes: #905536.
    - Disable -O3 on ia64 (see PR rtl-optimization/85412).
    - Remove the -O2 override on m68k (see Debian #326903).
    - Remove the -mieee and -O2 overrides for DEC Alpha (see Debian #212912).
  * Add more breaks for packages not compatible with Python 3.7:
    - python3-aiomeasures. See #906159.
    - python3-motor (updated). See #903527.
  * Again close the RC issue about the syntax errors triggered by Python 3.7.
    Closes: #902788.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Aug 2018 19:52:20 +0200

python3.7 (3.7.0-4) unstable; urgency=medium

  * Update to 20180802 from the 3.7 branch.
  * Add more breaks for packages not compatible with Python 3.7:
    - python3-pyatspi. See #902989.
  * Move test/__main__.py into libpython3.7-stdlib.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Aug 2018 08:46:56 +0200

python3.7 (3.7.0-3) unstable; urgency=medium

  * Update to 20180730 from the 3.7 branch.
  * Add more breaks for packages not compatible with Python 3.7:
    - python3-trollius. See #903888.
    - python3-sleekxmpp. See #904453.
    - voltron. See #904657.
    - visidata. See #904656.
    - salt-common. See #903654.
    - python3-yowsup. See #904653.
    - python3-websockets. See #904650.
    - python3-txfixtures. See #904649.
    - python3-tweepy. See #904648.
    - python3-slixmpp. See #904644.
    - python3-signaller. See #904642.
    - python3-rpyc. See #904615.
    - python3-protorpc-standalone. See #904603.
    - python3-nova. See #904587.
    - python3-murano. See #904581.
    - python3-mastodon. See #904579.
    - python3-hug. See #904576.
    - python3-async. See #904492.
    - python3-pylama. See #904491.
    - python3-exabgp. See #904390.
    - python3-glance. See #904389.
    - python3-gbulb. See #904388.
    - python3-engineio. See #904383.
    - python3-doublex. See #904382.
    - python3-dns. See #904381.
    - python3-opcua. See #904373.
    - openscap-daemon. See #904.
    - oca-core. See #904370.
    - patroni. See #904369.
    - python3-panoramisk. See #904368.
    - linux-show-player-. See #904367.
    - python3-cs. See #904365.
    - python3-azure. See #904364.
    - python3-applicationinsights. See #904363.
    - python3-aiopg. See #904361.
    - python3-aiozmq. See #904358.
    - python3-pysnmp4. See #904357.
    - python3-astroquery. See #904351.
    - snakemake. See #904350.
    - fail2ban. See #902817.
    - python3-morse-simulator. See #904343.
    - python3-tango. See #904298.
    - python3-pycuda. See #903826.
    - python3-pycsw. See #903784.
    - gnome3-builder. See #903558.
  * Close the RC issue about the syntax errors triggered by Python 3.7, now
    that all the breaks are in place. Closes: #902788.
  * Mark the lib2to3 and site tests as succeeding again, mark the tcl test
    as failing (issue #34178).

 -- Matthias Klose <doko@debian.org>  Mon, 30 Jul 2018 06:39:20 +0200

python3.7 (3.7.0-2) unstable; urgency=medium

  * Update to 20180720 from the 3.7 branch.
  * Add breaks for packages not compatible with Python 3.7:
    - python3-twisted. See #902766.
    - python3-pexpect. See #902646.
    - python3-cxx-dev. See #902673.
    - libboost-python1.62.0. See #902702.
    - python3-psycopg2. See #902715.
    - python3-maxminddb. See #902756.
    - python3-blist. See #902757.
    - python3-django. See #902761.
    - diffoscope. See #902650.
    - gpodder. See #902704.
    - python3-http-parser. See: #902759.
    - python3-celery. See #902900.
    - python3-astroid. See #902631.
    - python3-ubjson. See #902762.
    - python3-protobuf. See #902597.
    - python3-opengl. See #903218.
    - python3-ws4py. See #903529.
    - python3-dropbox. See #903525.
    - python3-pycuda. See #903826.
    - python3-libcloud. See #903388.
    - python3-motor. See #903527.
    - python3-jira. See #903526.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Jul 2018 15:51:14 +0200

python3.7 (3.7.0-1) unstable; urgency=medium

  * Python 3.7.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jun 2018 16:40:03 +0200

python3.7 (3.7.0~rc1-3) unstable; urgency=medium

  * Update to 20180622 from the 3.7 branch.
    - Fix installation of the idlelib tests.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jun 2018 10:11:22 +0200

python3.7 (3.7.0~rc1-2) unstable; urgency=medium

  * Update to 20180619 from the 3.7 branch.
  * Let ensurepip work with pip versions 9 or 10. Addresses: #901797.
  * pdb(1): Fix pointer to HTML documentation. Addresses: #901603.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jun 2018 09:10:27 +0200

python3.7 (3.7.0~rc1-1) unstable; urgency=medium

  * Python 3.7.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jun 2018 10:04:13 +0200

python3.7 (3.7.0~b5-1) unstable; urgency=medium

  * Python 3.7.0 beta 5 release.


