## python3.7 3.7.1

=== debian/changelog ===
python3.7 (3.7.1-1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1799202.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2018 13:21:55 +0200

python3.7 (3.7.1-1) unstable; urgency=medium

  * Python 3.7.1 release.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Oct 2018 10:03:53 +0200

python3.7 (3.7.0-1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1792140. Update Python 3.7 to the final 3.7.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2018 20:30:08 +0200
