## python3.7 3.7.2

=== debian/changelog ===
python3.7 (3.7.2-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Feb 2019 11:23:56 -0800

python3.7 (3.7.2-1+xenial2) xenial; urgency=medium

  * Replace the correct Makefile line so cmath builds (again).

 -- Anthony Sottile <asottile@umich.edu>  Fri, 11 Jan 2019 13:31:15 -0800

python3.7 (3.7.2-1+xenial1) xenial; urgency=medium

  * Python 3.7.2 release.

 -- Anthony Sottile <asottile@umich.edu>  Mon, 24 Dec 2018 10:52:07 -0800

python3.7 (3.7.1-1+xenial1) xenial; urgency=medium

  * Python 3.7.1 release.

 -- Anthony Sottile <asottile@umich.edu>  Sat, 20 Oct 2018 14:59:34 -0700

python3.7 (3.7.0-1+xenial2) xenial; urgency=medium

  * Replace the correct Makefile line so cmath builds.

 -- Anthony Sottile <asottile@umich.edu>  Mon, 06 Aug 2018 13:07:46 -0700

python3.7 (3.7.0-1+xenial1) xenial; urgency=medium

  * Python 3.7.0 release.

 -- Anthony Sottile <asottile@umich.edu>  Wed, 27 Jun 2018 19:32:19 -0700

python3.7 (3.7.0~rc1-1+xenial1) xenial; urgency=medium

  * Python 3.7.0 release candidate 1.

 -- Anthony Sottile <asottile@umich.edu>  Fri, 15 Jun 2018 20:32:08 -0700

python3.7 (3.7.0~b5-1+xenial1) xenial; urgency=medium

  * Python 3.7.0 beta 5 release.

 -- Anthony Sottile <asottile@umich.edu>  Thu, 31 May 2018 17:54:30 -0700

python3.7 (3.7.0~b4-1+xenial1) xenial; urgency=medium

  * Python 3.7.0 beta 4 release.

 -- Anthony Sottile <asottile@umich.edu>  Sat, 12 May 2018 11:10:13 -0700

python3.7 (3.7.0~b3-1+xenial1) xenial; urgency=medium

  * Python 3.7.0 beta 3 release.

 -- Anthony Sottile <asottile@umich.edu>  Fri, 30 Mar 2018 09:04:05 -0700

python3.7 (3.7.0~b2-1+xenial1) xenial; urgency=medium

  * Python 3.7.0 beta 2 release.

 -- Anthony Sottile <asottile@umich.edu>  Tue, 27 Feb 2018 22:59:18 -0800

python3.7 (3.7.0~b1-1+xenial1) xenial; urgency=medium

  * Removed apport support.
  * Fix test_platform by adjusting debian patch.
  * Add proper python-{distutils,gdbm,lib2to3,tk} support.
  * Disable broken dbm.ndbm tests.
  * Use bundled wheels for ensurepip.
  * Use readline instead of select for test_import.
  * Enable pgo build.
  * Bump version for deadsnakes xenial.

 -- Anthony Sottile <asottile@umich.edu>  Fri, 09 Feb 2018 10:34:28 -0800
