=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
-  libreadline-dev, libncursesw5-dev (>= 5.3), g++-8,
+  libreadline-dev, libncursesw5-dev (>= 5.3), 
   zlib1g-dev, libbz2-dev, liblzma-dev,
   libgdbm-dev, libdb-dev,
   tk-dev, blt-dev (>= 2.4z), libssl-dev,
@@ -17,7 +17,7 @@
   mime-support, netbase, bzip2, time, python3:any,
   net-tools, xvfb, xauth
 Build-Depends-Indep: python3-sphinx, texinfo
-Standards-Version: 4.2.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.7-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.7-debian
 XS-Testsuite: autopkgtest
@@ -28,12 +28,10 @@
 Priority: optional
 Depends: python3.7-minimal (= ${binary:Version}),
  libpython3.7-stdlib (= ${binary:Version}),
+ python3.7-distutils,
  mime-support,
  ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3.7-venv, python3.7-doc, binutils
-Breaks: python3-all (<< 3.6.5~rc1-1),
-  python3-dev (<< 3.6.5~rc1-1),
-  python3-venv (<< 3.6.5-2), ${python37:Breaks}
 Description: Interactive high-level object-oriented language (version 3.7)
  Python is a high-level, interactive, object-oriented language. Its 3.7 version
  includes an extensive class library with lots of goodies for
@@ -44,7 +42,7 @@
 Multi-Arch: allowed
 Priority: optional
 Depends: python3.7 (= ${binary:Version}),
- python-pip-whl (>= 8.1.0-2), ${shlibs:Depends}, ${misc:Depends},
+ ${shlibs:Depends}, ${misc:Depends},
 Breaks: python3-pip (<< 1.5.6-4)
 Description: Interactive high-level object-oriented language (pyvenv binary, version 3.7)
  Python is a high-level, interactive, object-oriented language. Its 3.7 version
@@ -59,10 +57,7 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.7-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
-Breaks: python3-tk (<< 3.6.4~rc1-2), libmpdec2 (<< 2.4.2),
-  python3-distutils (<< 3.6.5~rc1-2),
-  libpython3.7-testsuite (<< 3.7.0-4),
-Replaces: python3-distutils (<< 3.6.5~rc1-2), libpython3.7-testsuite (<< 3.7.0-4),
+Breaks: python3.7-tk (<< 3.6.4~rc1-2), libmpdec2 (<< 2.4.2)
 Description: Interactive high-level object-oriented language (standard library, version 3.7)
  Python is a high-level, interactive, object-oriented language. Its 3.7 version
  includes an extensive class library with lots of goodies for
@@ -93,8 +88,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libpython3.7-stdlib
-Breaks: libpython3.7-stdlib (<< 3.7.0~b2-1~)
-Conflicts: binfmt-support (<< 1.1.2), libpython3.7-stdlib (<< 3.7.0~b2-1~)
+Conflicts: binfmt-support (<< 1.1.2)
 Description: Minimal subset of the Python language (version 3.7)
  This package contains some essential modules. It is normally not
  used on it's own, but as a dependency of python3.7-minimal.
@@ -154,7 +148,7 @@
 Section: libdevel
 Architecture: all
 Depends: python3.7 (>= ${binary:Version}), ${misc:Depends}, net-tools
-Suggests: python3-gdbm, python3-tk
+Suggests: python3.7-gdbm, python3.7-tk
 Description: Testsuite for the Python standard library (v3.7)
  The complete testsuite for the Python standard library.  Note that
  a subset is found in the libpython3.7-stdlib package, which should
@@ -164,7 +158,7 @@
 
 Package: idle-python3.7
 Architecture: all
-Depends: python3.7, python3-tk, python3.7-tk, ${misc:Depends}
+Depends: python3.7, python3.7-tk, ${misc:Depends}
 Enhances: python3.7
 Breaks: libpython3.7-stdlib (<< 3.7.0~a3-1)
 Replaces: libpython3.7-stdlib (<< 3.7.0~a3-1)
@@ -175,7 +169,6 @@
 Package: python3.7-doc
 Section: doc
 Architecture: all
-Multi-Arch: foreign
 Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
 Suggests: python3.7
 Description: Documentation for the high-level object-oriented language Python (v3.7)
@@ -200,7 +193,7 @@
 Multi-Arch: allowed
 Depends: python3.7 (= ${binary:Version}), libpython3.7-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: gdb
-Suggests: python3-gdbm-dbg, python3-tk-dbg
+Suggests: python3.7-gdbm-dbg, python3.7-tk-dbg
 Description: Debug Build of the Python Interpreter (version 3.7)
  The package holds two things:
  .
@@ -224,3 +217,66 @@
  - Debug information for standard python extensions.
  .
  See the README.debug for more information.
+
+Package: python3.7-tk
+Architecture: any
+Multi-Arch: same
+Depends: python3.7, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Suggests: tix, python3.7-tk-dbg
+Description: Tkinter - Writing Tk applications with Python (version 3.7)
+ A module for writing portable GUI applications with Python (version 3.7)
+ using Tk. Also known as Tkinter.
+
+Package: python3.7-gdbm
+Architecture: any
+Multi-Arch: same
+Depends: python3.7, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Suggests: python3.7-gdbm-dbg
+Description: GNU dbm database support for Python (version 3.7)
+ GNU dbm database module for Python (version 3.7). Install this if you want to
+ create or read GNU dbm database files with Python.
+
+Package: python3.7-tk-dbg
+Architecture: any
+Multi-Arch: same
+Priority: extra
+Section: debug
+Depends: python3.7-dbg, ${python:Depends}, python3.7-tk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Tkinter - Writing Tk applications with Python (version 3.7 debug extension)
+ A module for writing portable GUI applications with Python (version 3.7)
+ using Tk. Also known as Tkinter.
+ .
+ This package contains the extensions built for the Python debug interpreter.
+
+Package: python3.7-gdbm-dbg
+Architecture: any
+Multi-Arch: same
+Priority: extra
+Section: debug
+Depends: python3.7-dbg, ${python:Depends}, python3.7-gdbm (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: GNU dbm database support for Python (version 3.7 debug extension)
+ GNU dbm database module for Python (version 3.7). Install this if you want to
+ create or read GNU dbm database files with Python.
+ .
+ This package contains the extensions built for the Python debug interpreter.
+
+Package: python3.7-distutils
+Architecture: all
+Multi-Arch: foreign
+Depends: ${python:Depends}, ${misc:Depends}, python3.7-lib2to3 (>= 3.6.4)
+Provides: ${python:Provides}
+Description: distutils package for Python (version 3.7)
+ Distutils package for Python (version 3.7).  This package contains the
+ distutils module from the Python standard library.
+
+Package: python3.7-lib2to3
+Architecture: all
+Multi-Arch: foreign
+Priority: optional
+Depends: ${python:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Description: lib2to3 package for Python (version 3.7)
+  Lib2to3 package for Python (version 3.7).  This package contains the
+  lib2to3 module from the Python standard library.
