=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES
 unexport CFLAGS CXXFLAGS LDFLAGS CPPFLAGS
-
-export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
-dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
 
 export SHELL = /bin/bash
 
@@ -68,6 +65,8 @@
   WITHOUT_BENCH := yes
   WITHOUT_CHECK := yes
 endif
+  WITHOUT_CHECK := yes
+  WITHOUT_BENCH := yes
 
 COMMA = ,
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
@@ -76,13 +75,9 @@
 
 distribution := $(shell lsb_release -is)
 distrelease  := $(shell lsb_release -cs)
-derivative      := $(shell \
-	if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
-	elif dpkg-vendor --derives-from Debian; then echo Debian; \
-	else echo Unknown; fi)
 
 VER=3.7
-SVER=3.7.0
+SVER=3.7.2
 NVER=3.8
 PVER=python$(VER)
 EXT_VER=$(subst .,,$(VER))
@@ -111,7 +106,8 @@
 			encodings/$(i)) \
 		 codecs.py stringprep.py
 
-with_tk := no
+with_tk := yes
+with_gdbm := yes
 with_interp := static
 #with_interp := shared
 
@@ -138,31 +134,33 @@
 else
   ma_filter = grep -v '^Multi-Arch:'
 endif
+ifneq (,$(filter $(distrelease),sid experimental))
+  bd_gcc =
+endif
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
   bd_dpkgdev = dpkg-dev (>= 1.17.11),
 endif
 
 CC=$(DEB_HOST_GNU_TYPE)-gcc
 CXX=$(DEB_HOST_GNU_TYPE)-g++
-ifneq (,$(filter $(distrelease),sid buster bionic cosmic))
-  CC=$(DEB_HOST_GNU_TYPE)-gcc-8
-  CXX=$(DEB_HOST_GNU_TYPE)-g++-8
-  bd_gcc = g++-8,
-endif
 
 AR=$(DEB_HOST_GNU_TYPE)-ar
 RANLIB=$(DEB_HOST_GNU_TYPE)-ranlib
 
-DPKG_CPPFLAGS= $(shell $(dpkg_buildflags) --get CPPFLAGS)
-DPKG_CFLAGS  := $(shell $(dpkg_buildflags) --get CFLAGS)
-DPKG_CFLAGS  := $(subst -fstack-protector-strong,-fstack-protector,$(DPKG_CFLAGS))
-DPKG_LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
+DPKG_CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
+DPKG_CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
+DPKG_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 OPT_CFLAGS   := $(filter-out -O%,$(DPKG_CFLAGS)) # default is -O3
 DEBUG_CFLAGS := $(patsubst -O%,-Og,$(DPKG_CFLAGS))
 
-# on ia64, disable -O3 until gcc bug #85412 is fixed
-ifeq ($(DEB_HOST_ARCH),ia64)
-    EXTRA_OPT_CFLAGS += -O2
+# on alpha, use -O2 only, use -mieee
+ifeq ($(DEB_HOST_ARCH),alpha)
+    OPT_CFLAGS += -mieee
+    DEBUG_CFLAGS += -mieee
+    EXTRA_OPT_FLAGS += -O2
+endif
+ifeq ($(DEB_HOST_ARCH),m68k)
+    EXTRA_OPT_FLAGS += -O2
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH), ppc64 ppc64el))
     OPT_CFLAGS += -fexceptions
@@ -187,6 +185,8 @@
     with_pgo =
     with_lto =
 endif
+
+    with_lto =
 
 ifeq ($(with_lto),yes)
     LTO_CFLAGS = -g -flto -fuse-linker-plugin
@@ -200,23 +200,6 @@
     RANLIB=$(DEB_HOST_GNU_TYPE)-gcc-ranlib
 endif
 
-sysconfig_substflags = \
-	-e 's,gcc-8,gcc,;s,g++-8,g++,' \
-	-e '/^OPT/s,-O3,-O2,' \
-	-e 's/-O3/-O2/g;s/$(LTO_CFLAGS)//g' \
-	-e 's/-fprofile-use *-fprofile-correction//g' \
-	-e 's/-fstack-protector /-fstack-protector-strong /g' \
-	-e 's/-specs=[^ ]*//g' \
-	-e 's/-fdebug-prefix-map=[^ ]*//g' \
-	-e 's,^RUNSHARED *=.*,RUNSHARED=,' \
-	-e '/BLDLIBRARY/s/-L\. //'
-
-ifeq ($(derivative),Ubuntu)
-  arch_substvars =
-else ifeq ($(derivative),Debian)
-  arch_substvars =  '-Vpython37:Breaks=$(shell tr '\n' ' ' < debian/py37-breaks.$(derivative))'
-endif
-
 make_build_target = $(if $(with_pgo),profile-opt)
 
 buildd_static	:= $(CURDIR)/build-static
@@ -233,7 +216,6 @@
 p_base	:= $(PVER)
 p_min	:= $(PVER)-minimal
 p_lib	:= lib$(PVER)
-p_tk	:= $(PVER)-tk
 p_dev	:= $(PVER)-dev
 p_exam	:= $(PVER)-examples
 p_idle	:= idle-$(PVER)
@@ -241,7 +223,40 @@
 p_dbg	:= $(PVER)-dbg
 p_udeb	:= $(PVER)-udeb
 p_venv	:= $(PVER)-venv
+p_tk	:= $(PVER)-tk
+p_tk_dbg	:= $(PVER)-tk-dbg
+p_gdbm	:= $(PVER)-gdbm
+p_gdbm_dbg	:= $(PVER)-gdbm-dbg
+p_dist	:= $(PVER)-distutils
+p_2to3	:= $(PVER)-lib2to3
 
 p_lbase	:= lib$(PVER)-stdlib
 p_lmin	:= lib$(PVER)-minimal
 p_ldev	:= lib$(PVER)-dev
+p_ldbg	:= lib$(PVER)-dbg
+p_ltst	:= lib$(PVER)-testsuite
+
+d_base	:= debian/$(p_base)
+d_min	:= debian/$(p_min)
+d_lib	:= debian/$(p_lib)
+d_dev	:= debian/$(p_dev)
+d_exam	:= debian/$(p_exam)
+d_idle	:= debian/$(p_idle)
+d_doc	:= debian/$(p_doc)
+d_dbg	:= debian/$(p_dbg)
+d_udeb	:= debian/$(p_udeb)
+d_venv	:= debian/$(p_venv)
+d_tk	:= debian/$(p_tk)
+d_tk_dbg	:= debian/$(p_tk_dbg)
+d_gdbm	:= debian/$(p_gdbm)
+d_gdbm_dbg	:= debian/$(p_gdbm_dbg)
+
+d_lbase	:= debian/$(p_lbase)
+d_lmin	:= debian/$(p_lmin)
+d_ldev	:= debian/$(p_ldev)
+d_ldbg	:= debian/$(p_ldbg)
+d_ltst	:= debian/$(p_ltst)
+
+build-arch: stamps/stamp-build
+build-indep: stamps/stamp-build-doc
+build: build-arch
